Daemon Power

The NetBSD Packages Collection: graphics/clutter-mx

Brief description of the package:
Clutter-based widget set

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://blogs.gnome.org/thos/2010/05/20/mx-toolkit-1-0/.

The package is located in the "graphics/clutter-mx" directory. The current source version of the package is "clutter-mx-1.0.4nb27". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/clutter-mx :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: clutter>=1.0.0 glib2>=2.4.0 pcre>=3.4nb1 cwrappers>=20150314 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 meson-[0-9]* ninja-build-[0-9]* python37>=3.7 libuuid>=2.18 readline>=2.2 readline>=6.0 python37>=3.7.0 re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 glib2>=2.39.0 MesaLib>=7.0 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 x11-links>=1.30 osabi-NetBSD-8.0_STABLE xorgproto>=2016.1 libXdamage>=1.0.3 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=3.4.2 libXcomposite>=0.4 libXcomposite>=0.3.1 gdk-pixbuf2>=2.22.0 shared-mime-info>=0.15 glib2>=2.34.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.2.4 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 png>=1.6.0nb1 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.34.0 atk>=2.5.3 glib2>=2.38.0 atk>=1.11.4 pango>=1.30.0 Xft2>=2.1.7nb3 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1 Xft2>=2.1nb2 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 harfbuzz>=2.1.1 cairo>=1.12.10 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 pango>=1.6.0 cairo-gobject>=1.14.0 cogl>=1.20.0 glib2>=2.32.0 pango>=1.20.0 cairo>=1.10.0 MesaLib>=7.11.2 gdk-pixbuf2>=2.38.1 pango>=1.42.4nb2 gobject-introspection>=0.9.5 cogl>=1.14.0 json-glib>=0.12.0 json-glib>=0.6.2 atk>=2.6.0 cogl>=1.22.0nb8 json-glib>=0.14.2nb3 gtk2+>=2.4.0 py27-expat-[0-9]* atk>=1.30.0 glib2>=2.28.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 cairo>=1.6.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 xcursor>=1.1.2nb1 python27>=2.7.1nb2 gobject-introspection>=0.9.3 clutter>=1.26.2nb3 gtk2+>=2.24.32nb10 .

This package requires the following package(s) to run: clutter>=1.0.0 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.39.0 MesaLib>=7.0 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 libXdamage>=1.0.3 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=3.4.2 libXcomposite>=0.4 libXcomposite>=0.3.1 gdk-pixbuf2>=2.22.0 python37>=3.7 libuuid>=2.18 python37>=3.7.0 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.34.0 libxml2>=2.8.0nb2 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.2.4 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 png>=1.6.0nb1 atk>=2.5.3 glib2>=2.38.0 atk>=1.11.4 pango>=1.30.0 Xft2>=2.1.7nb3 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1 Xft2>=2.1nb2 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 harfbuzz>=2.1.1 cairo>=1.12.10 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 pango>=1.6.0 cairo-gobject>=1.14.0 cogl>=1.20.0 glib2>=2.32.0 pango>=1.20.0 cairo>=1.10.0 MesaLib>=7.11.2 gdk-pixbuf2>=2.38.1 pango>=1.42.4nb2 cogl>=1.14.0 json-glib>=0.12.0 json-glib>=0.6.2 atk>=2.6.0 cogl>=1.22.0nb8 json-glib>=0.14.2nb3 gtk2+>=2.4.0 py27-expat-[0-9]* python37>=3.7.5 atk>=1.30.0 glib2>=2.28.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 cairo>=1.6.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 xcursor>=1.1.2nb1 python27>=2.7.1nb2 clutter>=1.26.2nb3 gtk2+>=2.24.32nb10 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
alpha:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
alpha:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
earm:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
earmv6hf:clutter-mx-1.0.4nb19.tgz(NetBSD 7.0)
earmv6hf:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
earmv6hf:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
earmv7hf:clutter-mx-1.0.4nb19.tgz(NetBSD 7.0)
earmv7hf:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
earmv7hf:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 7.0)
i386:clutter-mx-1.0.4nb24.tgz(NetBSD 7.0)
i386:clutter-mx-1.0.4nb24.tgz(NetBSD 7.0)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 7.0)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 7.0)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 7.1)
i386:clutter-mx-1.0.4nb24.tgz(NetBSD 7.1)
i386:clutter-mx-1.0.4nb24.tgz(NetBSD 7.1)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 7.1)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 7.1)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
i386:clutter-mx-1.0.4nb24.tgz(NetBSD 8.0)
i386:clutter-mx-1.0.4nb24.tgz(NetBSD 8.0)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
i386:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
powerpc:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
powerpc:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
powerpc:clutter-mx-1.0.4nb26.tgz(NetBSD 9.0)
sparc64:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
sparc64:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 7.0)
x86_64:clutter-mx-1.0.4nb24.tgz(NetBSD 7.0)
x86_64:clutter-mx-1.0.4nb24.tgz(NetBSD 7.0)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 7.0)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 7.0)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 7.1)
x86_64:clutter-mx-1.0.4nb24.tgz(NetBSD 7.1)
x86_64:clutter-mx-1.0.4nb24.tgz(NetBSD 7.1)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 7.1)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 7.1)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
x86_64:clutter-mx-1.0.4nb24.tgz(NetBSD 8.0)
x86_64:clutter-mx-1.0.4nb24.tgz(NetBSD 8.0)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)
x86_64:clutter-mx-1.0.4nb26.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]